# Uses of Class
org.eclipse.jdt.core.formatter.CodeFormatter

Packages that use CodeFormatter
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.

## Uses of CodeFormatter in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return CodeFormatter
Modifier and Type
Method
Description
`static CodeFormatter`
ToolFactory.`createCodeFormatter(Map options)`
Create an instance of the built-in code formatter.
`static CodeFormatter`
ToolFactory.`createCodeFormatter(Map options, int mode)`
Creates an instance of a code formatter.